summaryrefslogtreecommitdiffstats
path: root/pasture/source/aumix/aumix.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'pasture/source/aumix/aumix.SlackBuild')
-rwxr-xr-xpasture/source/aumix/aumix.SlackBuild83
1 files changed, 83 insertions, 0 deletions
diff --git a/pasture/source/aumix/aumix.SlackBuild b/pasture/source/aumix/aumix.SlackBuild
new file mode 100755
index 000000000..e500c0531
--- /dev/null
+++ b/pasture/source/aumix/aumix.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PKGNAM=aumix
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-aumix
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf aumix-$VERSION
+tar xvf $CWD/aumix-$VERSION.tar.?z* || exit 1
+cd aumix-$VERSION
+chown -R root:root .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --without-gtk1 \
+ --build=$ARCH-slackware-linux
+
+make || exit 1
+make install DESTDIR=$PKG
+strip $PKG/usr/bin/*
+mkdir -p $PKG/usr/doc/aumix-$VERSION
+cp -a \
+ ABOUT-NLS AUTHORS BUGS COPYING* INSTALL NEWS README* TODO \
+ $PKG/usr/doc/aumix-$VERSION
+# This is obsolete (besides being broken)
+rm -f $PKG/usr/bin/xaumix $PKG/usr/man/man1/xaumix.1
+
+# More fluff, doesn't deserve mainsteam placement
+mv $PKG/usr/bin/mute $PKG/usr/doc/aumix-$VERSION/mute.sh
+mv $PKG/usr/man/man1/mute* $PKG/usr/doc/aumix-$VERSION
+
+gzip -9 $PKG/usr/man/man1/*
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+makepkg -l y -c n $TMP/aumix-$VERSION-$ARCH-$BUILD.txz
+